CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [options]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre E-book viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the E-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script. You can also use calibre-debug as a shebang in scripts, like this: #!/usr/bin/env -S calibre-debug -e -- --

Chaque fois que vous passez à calibre-debug des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

[OPTIONS]

--add-simple-plugin
    Ajouter une extension simple (par ex. une extension qui consiste en un unique fichier .py), en spécifiant le chemin vers le fichier py contenant le code de l'extension.

--command, -c
    Exécuter du code Python.

--debug-device-driver, -d
    Debug device detection

--default-programs
    (Dés)enregistrer calibre des Programmes par Défaut de Windows --default-programs = (register|unregister)

--diff
    Exécuter l'outil calibre diff. Par exemple: calibre-debug --diff fichier1 fichier2

--edit-book
    Lancez l’Éditeur de livre calibre en mode débogage.

--exec-file, -e
    Exécuter le code Python dans le fichier

--explode-book, -x
    Décompacte le livre dans le dossier spécifié. Utilisation : -x file.epub output_dir Exporte le livre comme une collection de fichiers HTML et de métadonnées, qui peuvent être édités en utilisant des outils standards d'édition HTML. Fonctionne avec des fichiers EPUB, AZW3, HTMLZ et DOCX

--export-all-calibre-data
    Export all calibre data (books/settings/plugins). Normally, you will be asked for the export folder and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export folder and libraries. The special keyword "all" can be used to export all libraries. Examples: calibre-debug --export-all-calibre-data # for interactive use calibre-debug --export-all-calibre-data /path/to/empty/export/folder /path/to/library/folder1 /path/to/library2 calibre-debug --export-all-calibre-data /export/folder all # export all known libraries

--fix-multiprocessing
    Pour usage interne

--gui, -g
    Exécuter le GUI avec le débogage activé. La sortie de débogage est inscrite dans stdout et stderr.

--gui-debug
    Exécuter le GUI avec une console de débogage, inscrite à l'emplacement spécifié. Pour usage interne uniquement, utiliser l'option -g pour exécuter le GUI en mode débogage.

--help, -h
    affiche ce message d'aide et quitte

--implode-book, -i
    Re-compacter un livre précédemment décompacté. Utilisation : -i output_dir file.epub Importe le livre depuis les fichiers dans output_dir qui avaient été créé par une un appel précédent à call to --explode-book. Assurez-vous de spécifier le même type de fichier que celui utilisé lors du décompactage.

--import-calibre-data
    Importer les données calibre précédemment exportées

--inspect-mobi, -m
    Inspecter le(s) fichier(s) MOBI à/aux (l')emplacement(s) spécifié(s)

--paths
    Sort les emplacements nécessaires pour configurer l'environnement de calibre

--run-plugin, -r
    Exécuter une extension qui fournit une interface en ligne de commande. Par exemple : calibre-debug -r "Plugin name" -- file1 --option1 Tout ce qui se trouve après le -- sera passé à l'extension en tant qu'arguments.

--run-test, -t
    Run the named test(s). Use the special value "all" to run all tests. If the test name starts with a period it is assumed to be a module name. If the test name starts with @ it is assumed to be a category name.

--run-without-debug
    Don't run with the DEBUG flag set

--shutdown-running-calibre, -s
    Provoque la fermeture de la session de calibre en cours (si elle existe). Remarquez que s’il y a des tâches en cours, elles seront annulées sur le champ. À utiliser avec prudence.

--subset-font, -f
    Créer un sous-ensemble avec les polices spécifiées. Utilisez -- après cette option pour passer l'option au programme de sous-ensembles de police.

--test-build
    Tester les modules binaires en construction

--version
    affiche le numéro de version du logiciel et quitte

--viewer, -w
    Exécuter la visionneuse de livre numérique en mode débogage

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal